#version 150

in vec4 vertexColor;

uniform vec4 ColorModulator;

out vec4 fragColor;

void main() {
    vec4 color = vertexColor;
    if (color.a == 0.0) {
        discard;
    }
    fragColor = color * ColorModulator;
    fragColor = mix(fragColor, vec4(1.0, 1.0, 1.0, fragColor.a), 0.1);
}
